/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';
.rvs-in-pkp {
  margin-bottom: 24px;
  .table-component {
    .ant-table {
      .ant-table-content {
        td {
          span {
            white-space: initial;
          }
        }
      }
    }
  }
  .switch-holder {
    margin-bottom: 16px;
    .switch-component {
      margin-right: 16px;
    }
  }
  .ant-btn-link {
    color: @platform-blue1;
    span {
      text-decoration: underline;
    }
    &:hover,
    &:focus {
      span {
        text-decoration: none;
      }
    }
  }
  .selected-item {
    padding: 16px;
    background: #fff;
    strong {
      font-weight: 500;
    }
    p {
      margin: 0;
    }
    .tag-element {
      display: inline-block;
      padding: 1px 4px 1px 8px;
      border: 1px solid @platform-blue1;
      border-radius: 2px;
      font-size: 1.6rem;
      line-height: 22px;
      color: @platform-blue1;
      margin: 10px 8px 4px 0;

      .btn-close {
        color: @platform-blue1;
        vertical-align: top;
        padding: 6px;
        font-size: 1rem;
        line-height: 10px;
        margin-top: 0px;
        margin-left: 3px;
        display: inline-block;
        &:hover,
        &:focus {
          color: #fff;
        }
      }
    }
  }
  .no-items {
    background: #fff;
    overflow: hidden;
    text-align: center;
    padding: 16px;
    font-weight: 500;
    .ant-image {
      display: block;
      margin: 16px auto;
    }
  }
}
